Chuyển đến nội dung
Diễn đàn CADViet
Đăng nhập để thực hiện theo  
Nghia_XD

Chọn đối tượng theo layer

Các bài được khuyến nghị

mình muốn chọn tắt cả đối tương thuộc 1 layer thì làm như thế nào? các bạn giúp mình với. hoặc có file lisp nào gửi lên cho minh xin, thank các bạn

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác

Bạn có thể dùng Qselect hoặc Filter hoặc kết hợp layiso.

Hoặc search ngay yêu cầu của bạn trên GG,sẽ thấy khá nhiều lisp mẫu,hoặc

(defun c:sbL (/ targent)
 (setq TargEnt (car (entsel "\nSelect object on layer to select: ")))
 (sssetfirst nil (ssget "_X" (list (assoc 8 (entget TargEnt)))))
 (princ)
)

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác

Bạn dùng Lisp này: SE command on Layers filter

+ Gõ lệnh SE (select)

+ Command Line sẽ hỏi bạn định select xong làm gì: Erase Copy Move Rotate Scale MIrror ???

+ Gõ E, hoặc C, hoặc M, hoặc R, hoặc S, hoặc MI chọn lệnh

+ Command Line sẽ yêu cầu bạn chọn objects mẫu để lấy mẫu Layers (1 hoặc nhiều layers)

+ Chọn xong, chương trình đã thu được list layers cần lọc >>> Command Line yêu cầu bạn chọn tất cả các objects cần thao tác v

+ Lệnh Erase, hoặc Copy, hoặc Move, hoặc Rotate, hoặc Scale, hoặc MIrror sẽ được gọi để thao tác trên tập hợp được chọn

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác

Mình chỉ dùng Cad7 nên k bít Cad8 nó khác k,n mình nghĩ cơ bản nó vẫn vậy,có j sai thì bạn tcảm nhé ^^.

Nếu có Express rồi thì bạn gõ AliasEdit để gán lệnh tắt.

Nếu chưa có thì bạn vào Tool -> Customize -> Edit Program Parameters (Acad.pgp) để đặt phím tắt.Lưu lại file acad.pgp này,vào CAD đánh reinit,kick chọn PGP File để cập nhật.

Nếu không thấy menu tương ứng thì bạn vào AutoCAd Support Folder để mở và thay đổi trực tiếp

Chúc bạn thành công

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác

em cảm ơn bác đã chĩ dẩn nha.

những ý em là bây giờ vd em vẻ 3d, em muốn gán phim tắt cho các chế độ xem : 3d Orbit. SE Isometric, SW Isometric....

Thì làm sao được bác.bác hướng dẩn kỹ cho em được không?

thank bác nhiều! :leluoi:

  • Vote tăng 1

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác

1.Bạn click Thanks là được rồi^^

2.Với những lệnh nhiều hơn 1 thao tác chọn, bạn nên làm 1 lisp lệnh tắt nhỏ nhỏ.

Cách làm thường là bạn thực hiện các bước làm như thủ công,sau đó ấn f2 để xem thứ tự các thao tác.Sau đó tạo file lisp với nội dung

(defun c:phím_lệnh_tắt()

(command "bước 1" "bước 2"..."bước n")

)

Ví dụ muốn thay đổi vài kiểu view sang SW nhé,bạn làm thủ công là vào menu view,chọn 3D View -> SW iso..,

SAu đó nhấn f2 bạn sẽ thấy dòng ghi lại quá trình này là :

Command: _-view Enter an option

[?/Delete/Orthographic/Restore/Save/sEttings/Window]: _swiso Regenerating model.

Như vậy,để thực hiện thao tác đổi view sang SW,CAD đã thực hiện lần lượt chuỗi lệnh -view -> _swiso

Trong ngôn ngữ lisp thì việc này tương đương với câu lệnh (command "-view" "_swiso")

Như vậy,nội dung file lisp của bạn để gán phím tắt vsw thành View SW iso là:

(defun c:vsw ()

(command "-view" "_swiso")

)

Lần lượt các view khác là :..

(defun c:vsw () 
(command "-view" "_swiso")
)
(defun c:vse ()
(command "-view" "_seiso")
)
(defun c:vne ()
(command "-view" "_neiso")
)
(defun c:vnw ()
(command "-view" "_nwiso")
)
(defun c:vw ()
(command "-plan" "_w")
)

Các yêu cầu khác bạn cứ tự khám phá nhé :leluoi: Chúc bạn thành công

  • Vote tăng 1

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác

Làm như CAD 2004 là ntn hả bạn ?

Còn việc

hay bác không ngại thì chỉ giúp em hok viết lisp đi bác.em cung thích nhưng tự tìm hiểu hơi khó.

nếu có nó thì cúng hay hơn nhiều!

là sao hả bạn ? mình k hiểu?
  • Vote tăng 1

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác

hiện tại em không dùng cad 4 nên không chụp được hình cụ thề,nhưng em tìm được tren diển đàn kái hình náy mô tả kái tab gán phím tắt 74365685dm01.jpg bác xem thử ge!

  • Vote tăng 1

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác

À,nếu ý bạn là gán shortcut cho lệnh thì bạn đánh lệnh CUI,nó sẽ hiện ra 1 bảng như thế này.Phía dưới Command List,bạn chọn lệnh cần gán,kéo và thả nó vào dòng Keyboard shotcut

captureks.jpg

Sau đó,kích đúp để mở Keyboard Shortcut ra,tìm đến lệnh bạn vừa thả vào bên mục Shortcut.Nhìn xuống bảng Infor bên dưới,bạn sẽ nhìn thấy mục Key(s),là phím tắt của nó,bạn kích vào vùng khoanh đỏ để thay đổi theo ý mình.

capturect.jpg

Chúc bạn thành công .

  • Vote tăng 2

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác

HJ.thank bác!

thôi để hôm sau em qua thằng bạn làm máy kái hình rùi về up lên cho bác xem.em nói vậy chắc bác khó hiều lắm.

ah.bác có nick yahoo không? cho em khi nào em hỏi lun cũng được! <_<

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác
mình muốn chọn tắt cả đối tương thuộc 1 layer thì làm như thế nào? các bạn giúp mình với. hoặc có file lisp nào gửi lên cho minh xin, thank các bạn

Tại dòng command bạn gõ như sau: (ssget '((8 . "ten layer mà bạn muốn"))) rồi enter. Sau đó bạn muốn làm gì với đối tượng đã chọn này thì khi lự chọn chỉ cần gõ p. ví dụ muốn xoá chẳng hạn

command: e enter

Select objects: p enter.

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác
HJ.thank bác!

thôi để hôm sau em qua thằng bạn làm máy kái hình rùi về up lên cho bác xem.em nói vậy chắc bác khó hiều lắm.

ah.bác có nick yahoo không? cho em khi nào em hỏi lun cũng được! <_>

Cách làm mình đã up ở trên,bạn có thể thử.Nick YM ở dưới chữ ký của mình đó :leluoi:

 

Tại dòng command bạn gõ như sau: (ssget '((8 . "ten layer mà bạn muốn"))) rồi enter. Sau đó bạn muốn làm gì với đối tượng đã chọn này thì khi lự chọn chỉ cần gõ p. ví dụ muốn xoá chẳng hạn

command: e enter

Select objects: p enter.

Bác nhiệt tình quá,đánh đông dẹp bắc, ở đâu thấy rè quét là ở đấy thấy bác ^^

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác

Dùng lệnh Fi hoặc Qselect là có thể chọn các đối tượng của cùng một layer nào đó, và còn nhiều tác dụng khác

Tks bạn :rolleyes: .Mà mình hỏi thật nhé, bạn đã đọc những bài mọi người reply bên trên chưa :) Hay cứ thấy tiêu đề là vào comment giúp đỡ :)

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác

Bạn dùng Lisp này: SE command on Layers filter

+ Gõ lệnh SE (select)

+ Command Line sẽ hỏi bạn định select xong làm gì: Erase Copy Move Rotate Scale MIrror ???

+ Gõ E, hoặc C, hoặc M, hoặc R, hoặc S, hoặc MI chọn lệnh

+ Command Line sẽ yêu cầu bạn chọn objects mẫu để lấy mẫu Layers (1 hoặc nhiều layers)

+ Chọn xong, chương trình đã thu được list layers cần lọc >>> Command Line yêu cầu bạn chọn tất cả các objects cần thao tác v

+ Lệnh Erase, hoặc Copy, hoặc Move, hoặc Rotate, hoặc Scale, hoặc MIrror sẽ được gọi để thao tác trên tập hợp được chọn

Link hỏng rồi anh ạ. Anh share lại dùm với!

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác

Tạo một tài khoản hoặc đăng nhập để nhận xét

Bạn cần phải là một thành viên để lại một bình luận

Tạo tài khoản

Đăng ký một tài khoản mới trong cộng đồng của chúng tôi. Điều đó dễ mà.

Đăng ký tài khoản mới

Đăng nhập

Bạn có sẵn sàng để tạo một tài khoản ? Đăng nhập tại đây.

Đăng nhập ngay

Đăng nhập để thực hiện theo  

×